import {
  Store,
} from 'redux';

import Action from '@overflow/commons/redux/Action';

export abstract class Service {
  protected store: Store<any>;

  public setStore(store: Store<any>): void {
    this.store = store;
  }

  protected dispatch(actionType: any, payload?: any): void {
    const action: Action = {
      type: actionType,
      payload: payload,
    };
    this.store.dispatch(action);
  }

}

export default Service;
