import { Service } from '@overflow/commons/api/service';

import * as DiscoveryIngActions from '../../redux/action/ing';

import Host from '../model/Host';
import Port from '../model/Port';
import DisService from '../model/Service';

export class DiscoveryService extends Service {
    // tslint:disable-next-line:no-empty
    public constructor() {
        super();
    }

    public done(): void {
        console.log('Discovery has finished.');
        // state change test
    }

    public discoveryIngTest(params: any): void {
        console.log(params);
    }

    public discoveryIngHost(params: any): void {

        let host: Host = params;

        console.log('discoveryIngHost');
        console.log(host);

        this.dispatch(DiscoveryIngActions.RECEIVE_HOST, host);
    }
    public discoveryIngPort(params: any): void {

        let port: Port = params;

        console.log('discoveryIngPort');
        console.log(port);

        this.dispatch(DiscoveryIngActions.RECEIVE_PORT, port);
    }
    public discoveryIngService(params: any): void {

        let service: DisService = params;
        console.log('discoveryIngService');
        console.log(service);

        this.dispatch(DiscoveryIngActions.RECEIVE_SERVICE, service);
    }

}

export default DiscoveryService;
